Skip to main content
GET
/
statements
List statements
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/statements \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/statements"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/statements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "statements": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "due_date": "2023-12-25",
      "end_date": "2023-12-25",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "issue_date": "2023-12-25",
      "start_date": "2023-12-25"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_id
string<uuid>
required

The account's unique identifier provided by Synctera

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List of statements for a given account

statements
Statement · object[]
required

Array of statements

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"